Incompatible with Saucy PHP 5.5

Bug #1241425 reported by Andrey on 2013-10-18
98
This bug affects 20 people
Affects Status Importance Assigned to Milestone
phpldapadmin (Debian)
Fix Released
Unknown
phpldapadmin (Ubuntu)
High
Andrew Starr-Bochicchio
Trusty
High
Andrew Starr-Bochicchio

Bug Description

[Impact]

 * The package is broken for all users. The web interface will not load, displaying the error:

Fatal error: Cannot redeclare password_hash() in /usr/share/phpldapadmin/lib/functions.php on line 2225

[Test Case]

Install the package from proposed. (Ignore the post install script failure. See LP: #1246170).

Run: ln -s /etc/phpldapadmin/apache.conf /etc/apache2/conf-enabled/phpldapadmin.conf && service apache2 restart

Browse to http://your.ip.address/phpldapadmin

See the above error.

Delete the symlink and purge the package. Now install the package from proposed and browse to http://your.ip.address/phpldapadmin

Confirm that the site works as expected.

[Regression Potential]

 * As the UI will not load at all with the current package, there is little potential for regression.

-----

Original Bug:

Please upgrade phpldapdmin package so it will work with PHP 5.5 coming with Ubuntu 13.10

Fatal error: Cannot redeclare password_hash() in /usr/share/phpldapadmin/lib/functions.php on line 2225

See http://sourceforge.net/u/nihilisticz/phpldapadmin/ci/7e53dab990748c546b79f0610c3a7a58431e9ebc/

Andrey (waster2008) wrote :

Compatibility with new 'conf-available' directory apache structure in Saucy is needed too.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in phpldapadmin (Ubuntu):
status: New → Confirmed
pengyu.ut@gmail.com (pengyu-ut) wrote :

This should not be a difficult fix. Has anybody fixed the bug so that I may try it from some other repository that is not available yet to apt-get? Thanks.

Irudayaraj (irudayarajisawa) wrote :

My Specification:
PHP 5.5.9-1ubuntu2 (cli) (built: Mar 3 2014 21:11:08)
Server version: Apache/2.4.7 (Ubuntu)
Server built: Jan 14 2014 18:00:23
phpldapadmin Version: 1.2.2-5ubuntu1

I have renamed function "password_hash" to "password_ldap_hash" and avoid this error
 Fatal error: Cannot redeclare password_hash() in /usr/share/phpldapadmin/lib/functions.php on line 2225

List of changed files:
config/config.php
lib/PageRender.php
lib/ds_ldap_pla.php
lib/functions.php
lib/TemplateRender.php

Which as fixed this issue but started with another issue.

Error
Unrecognized error number: 8192: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead

Development Note:
I request php core developers to follow naming rules.

Thank you! Good start :-)

On 03/07/2014 03:51 AM, Irudayaraj wrote:
> My Specification:
> PHP 5.5.9-1ubuntu2 (cli) (built: Mar 3 2014 21:11:08)
> Server version: Apache/2.4.7 (Ubuntu)
> Server built: Jan 14 2014 18:00:23
> phpldapadmin Version: 1.2.2-5ubuntu1
>
> I have renamed function "password_hash" to "password_ldap_hash" and avoid this error
> Fatal error: Cannot redeclare password_hash() in /usr/share/phpldapadmin/lib/functions.php on line 2225
>
> List of changed files:
> config/config.php
> lib/PageRender.php
> lib/ds_ldap_pla.php
> lib/functions.php
> lib/TemplateRender.php
>
> Which as fixed this issue but started with another issue.
>
> Error
> Unrecognized error number: 8192: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead
>
> Development Note:
> I request php core developers to follow naming rules.
>

eannj (greg-p) wrote :

There is the same issue in Ubuntu 14.04 which is going to be released this month.
This package is unusable.

Changed in phpldapadmin (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
Changed in phpldapadmin (Ubuntu Trusty):
assignee: nobody → Andrew Starr-Bochicchio (andrewsomething)
importance: Undecided → High
status: New → Triaged
Changed in phpldapadmin (Debian):
status: Unknown → New
Changed in phpldapadmin (Ubuntu Trusty):
status: Triaged → In Progress
description: updated
Changed in phpldapadmin (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phpldapadmin - 1.2.2-5ubuntu2

---------------
phpldapadmin (1.2.2-5ubuntu2) utopic; urgency=medium

  * Adjust installation of conf file for Apache 2.4 (LP: #1246170).
   - Thanks to Geliy Sokolov!
  * Cherrypick patch from upstream bug tracker fixing compatibility
    with php 5.5 (LP: #1241425).
 -- Andrew Starr-Bochicchio <email address hidden> Thu, 01 May 2014 20:45:25 -0400

Changed in phpldapadmin (Ubuntu):
status: Fix Committed → Fix Released
Changed in phpldapadmin (Debian):
status: New → Fix Released

Hello Andrey, or anyone else affected,

Accepted phpldapadmin into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/phpldapadmin/1.2.2-5ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in phpldapadmin (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Thomas Arnoux (vetetix) wrote :

I just tried the trusty-proposed package. It fixes the aformentionned problem, but one still remains (some kind of other problem with passwords).

I had to modify a file accordingly to this :
http://stackoverflow.com/questions/20673186/getting-error-for-setting-password-feild-when-creating-generic-user-account-phpl

Brian Murray (brian-murray) wrote :

The other problem should be filed as a new bug report so it can be dealt with independently. Thanks!

Setting to verification-done as Thomas said that this bug was fixed in his testing. The other bug he found should hold this up from moving to updates.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package phpldapadmin - 1.2.2-5ubuntu1.1

---------------
phpldapadmin (1.2.2-5ubuntu1.1) trusty-proposed; urgency=medium

  * Adjust installation of conf file for Apache 2.4 (LP: #1246170).
   - Thanks to Geliy Sokolov!
  * Cherrypick patch from upstream bug tracker fixing compatibility
    with php 5.5 (LP: #1241425).
 -- Andrew Starr-Bochicchio <email address hidden> Thu, 01 May 2014 20:45:25 -0400

Changed in phpldapadmin (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for phpldapadmin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

gohanman (gohanman) wrote :

There's one remaining reference to "password_hash" that needs to be updated to "password_hash_custom". It's in /usr/share/phpldapadmin/lib/TemplateRender.php line 2469.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.